Package org.eclipse.microprofile.openapi.apps.airlines.data

## Class UserData

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.data.UserData

    public class UserData
    extends Object

### Constructor Summary

Constructors
`UserData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUser​(User user)`
`User` `findUserById​(int id)`
`User` `findUserByName​(String username)`
`boolean` `removeUser​(String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserData

    public UserData()

### Method Detail

#### findUserByName

    public User findUserByName​(String username)

#### findUserById

    public User findUserById​(int id)

#### addUser

    public void addUser​(User user)

#### removeUser

    public boolean removeUser​(String username)